## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.util
Class Util

    java.lang.Object
      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.util.Util

    public class Util

extends java.lang.Object

Author:
  lihuang

Constructor Summary
`Util()`

Method Summary
`static java.util.List` `getAllValues(org.eclipse.datatools.sqltools.common.core.tableviewer.ITableData tableData, int column)` Return all values of the specified column from ITableData.
`static org.eclipse.swt.graphics.Color` `getBackGroundColor(org.eclipse.swt.graphics.Device device)`
`static org.eclipse.swt.graphics.Color` `getForeGroundColor(org.eclipse.swt.graphics.Device device)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Util

    public Util()

Method Detail

### getAllValues

    public static java.util.List getAllValues(org.eclipse.datatools.sqltools.common.core.tableviewer.ITableData tableData,
                                              int column)

  Return all values of the specified column from ITableData.

  Parameters:
    `tableData` -
    `column` -
  Returns:
    List all values of the specified column

### getBackGroundColor

    public static org.eclipse.swt.graphics.Color getBackGroundColor(org.eclipse.swt.graphics.Device device)

### getForeGroundColor

    public static org.eclipse.swt.graphics.Color getForeGroundColor(org.eclipse.swt.graphics.Device device)